Bug 949214 - Review Request: python-iptools - A few useful functions and objects for manipulating ip addresses in python
Review Request: python-iptools - A few useful functions and objects for manip...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 949371
  Show dependency treegraph
 
Reported: 2013-04-07 00:24 EDT by Orion Poplawski
Modified: 2014-07-01 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:57:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-04-07 00:24:40 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-iptools.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.0-1.fc18.src.rpm
Description:
A few useful functions and objects for manipulating IPv4 and IPv6 addresses
in python. The project was inspired by a desire to be able to use CIDR address
notation to designate INTERNAL_IPS in a Django project's settings file.

Fedora Account System Username: orion
Comment 1 Lokesh Mandvekar 2013-04-07 09:52:11 EDT
Hi, I'm a new packager in need of sponsorship and this is my first review (so please do let me know if my review needs improvement).


* Koji build fails: http://koji.fedoraproject.org/koji/taskinfo?taskID=5222620

Going through the logs I see this: ImportError: No module named setuptools

I ran koji like so: koji build --scratch f18 <SRPM_file>

* rpmlint on spec shows no error and warnings, and on srpm shows a spelling-error warning, also need rpmlint output on binary rpm.


Thanks,
Comment 2 Orion Poplawski 2013-04-07 10:29:21 EDT
Review comments:
- You might suggest what is needed to fix the build
- You should list the warning and comment on whether it is relevant or not.  In this case:

python-iptools.src: W: spelling-error Summary(en_US) ip -> pi, up, op

I've capitalized IP.

New package:
http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.0-1.fc18.src.rpm

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-2
- Add BR python-setuptools
- Add %%check
Comment 3 Lokesh Mandvekar 2013-04-07 11:08:40 EDT
Thanks for the review comments.

I guess the new package is: http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.0-2.fc18.src.rpm

Both koji and rpmlint were successful


----

If possible, could you please take a look at my review requests here:


https://bugzilla.redhat.com/show_bug.cgi?id=947492

Many warnings in this one.

and 

https://bugzilla.redhat.com/show_bug.cgi?id=946856 (reviewed once and modified, still needs further feedback I guess )

Thanks,
Comment 4 Orion Poplawski 2013-04-07 11:18:38 EDT
Surely that's not the entirety of your review?  rpmlint and koji are just the tip of the iceberg...
Comment 5 Lokesh Mandvekar 2013-04-16 15:28:31 EDT
Sorry about the delay. I learned a few more things since last time, thanks to spot.

* Name and version shouldn't be hardcoded in URL and Source0

* in %install, you have used both $RPM_BUILD_ROOT and %{buildroot}. I think it's preferable to keep it consistent

* the double blank lines between sections aren't needed. use single lines (as per what spot told me). Also, no need for a blank line between Summary and License.

I guess these are all I can see for now, but I can revisit this as I pick stuff up
Comment 6 Orion Poplawski 2013-04-19 16:36:31 EDT
http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.0-3.fc18.src.rpm

* Fri Apr 19 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-3
- Cleanup macros

I like the extra blank lines, it makes it more readable for me, so I'm keeping them.
Comment 7 Lokesh Mandvekar 2013-04-19 18:31:49 EDT
I'm trying to get used to fedora-review. Please take a look and let me know if I messed up. Thanks,

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

     'rm -rf %{buildroot}' can (should?) be removed

[ ]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-iptools
[ ]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/lsm5/fedora-review/949214
     -python-iptools/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 16 files.

     I'm unsure if a separate -doc package is needed - maybe others can
     comment

[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-iptools-0.6.0-3.fc20.noarch.rpm
          python3-iptools-0.6.0-3.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK



Rpmlint (installed packages)
----------------------------
# rpmlint python3-iptools python-iptools
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

OK



Requires
--------
python3-iptools (rpmlib, GLIBC filtered):
    python(abi)

python-iptools (rpmlib, GLIBC filtered):
    python(abi)

**not sure if it should be python3 for python3-iptools

Provides
--------
python3-iptools:
    python3-iptools

python-iptools:
    python-iptools

OK



MD5-sum check
-------------
https://github.com/bd808/python-iptools/archive/v0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 28d504bf9a860c77c26bc51da1c2c5484f110e70b7e7df9d6e15f322f2e8c2d4
  CHECKSUM(SHA256) upstream package : 28d504bf9a860c77c26bc51da1c2c5484f110e70b7e7df9d6e15f322f2e8c2d4

OK


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 949214
Comment 8 Orion Poplawski 2013-04-19 21:59:47 EDT
You really should mark each item as needed to indicate it was addressed.

The license *is* correct.

egg info is provided.

http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.0-4.fc18.src.rpm

* Fri Apr 19 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-4
- Remove install dir rm in %%install
Comment 9 Lokesh Mandvekar 2013-04-22 11:46:33 EDT
ok, here are the updates. A few things I'm not sure of(marked '?'), so I'll step back from the formal review, maybe you or someone else can comment on those. Hope this helps. Thanks,

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-iptools
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/lsm5/fedora-review/949214
     -python-iptools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 16 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-iptools-0.6.0-4.fc20.noarch.rpm
          python3-iptools-0.6.0-4.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint python3-iptools python-iptools
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
python3-iptools (rpmlib, GLIBC filtered):
    python(abi)

python-iptools (rpmlib, GLIBC filtered):
    python(abi)

OK

Provides
--------
python3-iptools:
    python3-iptools

python-iptools:
    python-iptools

OK

MD5-sum check
-------------
https://github.com/bd808/python-iptools/archive/v0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 28d504bf9a860c77c26bc51da1c2c5484f110e70b7e7df9d6e15f322f2e8c2d4
  CHECKSUM(SHA256) upstream package : 28d504bf9a860c77c26bc51da1c2c5484f110e70b7e7df9d6e15f322f2e8c2d4
OK

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 949214
Comment 10 Orion Poplawski 2013-04-22 12:42:32 EDT
> [?]: Package requires other packages for directories it uses.

So, this package installs files into the following directories:
python-iptools:
%{python_sitelib}

python3-iptools:
%{python3_sitelib}

So, python-iptools needs to require the package that provides (owns) %{python_sitelib}, which is the python package.  python3 owns %{python3_sitelib}.

> [?]: Package functions as described.

This has to be a bit of a judgement call, but you probably try to use the package.  Run python, import iptools, maybe run some test code.

> [?]: Latest version is packaged.

I've packaged version 0.6.0.  You would check the upstream website and make sure that is the latest released version.

> [?]: Packages should try to preserve timestamps of original installed files.

Files are installed with cp -p or install to preserve timestamps.
Comment 11 Lokesh Mandvekar 2013-04-22 14:02:32 EDT
Orion, thanks for the comments, that helps. I see upstream has now moved to v0.6.1: https://github.com/bd808/python-iptools/tree/v0.6.1 . I understand, the time when you submitted this request, latest was probably still v0.6.0.

I don't know if you would prefer to move the package to v0.6.1 ?

I used the package and 'import iptools' worked.
Comment 12 Orion Poplawski 2013-04-22 14:12:04 EDT
http://www.cora.nwra.com/~orion/fedora/python-iptools-0.6.1-1.fc18.src.rpm

* Mon Apr 22 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.1-1
- Update to 0.6.1

Looks like upstream fixed the bugs I filed, yay!
Comment 13 Lokesh Mandvekar 2013-04-22 14:42:48 EDT
Diff spec file in url and in SRPM
---------------------------------
--- /home/lsm5/fedora-review/949214-python-iptools/srpm/python-iptools.spec	2013-04-22 14:36:19.765000000 -0400
+++ /home/lsm5/fedora-review/949214-python-iptools/srpm-unpacked/python-iptools.spec	2013-04-22 14:36:22.216000000 -0400
@@ -40,4 +40,5 @@
 %setup -q
 find -name .gitignore -delete
+sed -i -e '\,#!/usr/bin/env,d' iptools/*.py
 
 %if 0%{?with_python3}


---
Everything else looks fine to me
Comment 14 Orion Poplawski 2013-04-22 15:22:43 EDT
That was fixed in 0.6.1 and is no longer needed.
Comment 15 Lokesh Mandvekar 2013-04-22 15:36:42 EDT
In the section 'EXTRA items', the first check (spec file consistency) fails (the diff I attached in Comment 13 was for that). You might wanna regenerate the SRPM with the latest spec. I was told to keep them consistent on a package review of mine. Let me know if that's a non-issue and can be ignored.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-iptools
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/lsm5/fedora-review/949214
     -python-iptools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 16 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-iptools-0.6.1-1.fc20.noarch.rpm
          python3-iptools-0.6.1-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint python3-iptools python-iptools
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

OK

Diff spec file in url and in SRPM
---------------------------------
--- /home/lsm5/fedora-review/949214-python-iptools/srpm/python-iptools.spec	2013-04-22 15:24:02.922000000 -0400
+++ /home/lsm5/fedora-review/949214-python-iptools/srpm-unpacked/python-iptools.spec	2013-04-22 15:24:05.473000000 -0400
@@ -40,4 +40,5 @@
 %setup -q
 find -name .gitignore -delete
+sed -i -e '\,#!/usr/bin/env,d' iptools/*.py
 
 %if 0%{?with_python3}


Requires
--------
python3-iptools (rpmlib, GLIBC filtered):
    python(abi)

python-iptools (rpmlib, GLIBC filtered):
    python(abi)

OK

Provides
--------
python3-iptools:
    python3-iptools

python-iptools:
    python-iptools

OK

MD5-sum check
-------------
https://github.com/bd808/python-iptools/archive/v0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : 77513ec4982a807ef636b1b847d3f6ebe69e2e56faf6cb5d425106be9a24d02c
  CHECKSUM(SHA256) upstream package : 77513ec4982a807ef636b1b847d3f6ebe69e2e56faf6cb5d425106be9a24d02c


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 949214
Comment 16 Orion Poplawski 2013-04-22 16:09:56 EDT
Done.  *Please* don't keep pasting the full review.
Comment 17 Lokesh Mandvekar 2013-04-22 16:15:25 EDT
Whoops, sorry about that. I wasn't aware of convention. I'll avoid doing that moving forward :)

I guess at this point I should say package is approved.
Comment 18 Orion Poplawski 2013-04-22 16:18:11 EDT
So then you need to edit the fedora-review flag and set it to +.  Thanks!
Comment 19 Lokesh Mandvekar 2013-04-22 16:20:11 EDT
Done. And thanks for tolerating my newbie-ness. I learned a lot doing this review.
Comment 20 Orion Poplawski 2013-04-22 16:22:43 EDT
New Package SCM Request
=======================
Package Name: python-iptools
Short Description: A few useful functions and objects for manipulating IP addresses in python
Owners: orion
Branches: f19 f18 el6
InitialCC:
Comment 21 Jon Ciesla 2013-04-23 08:11:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.